%define major	0
%define rname	md
%define libname	%mklibname %{rname} %{major}
%define devname	%mklibname %{rname} -d

Name:		libmd
Version:	1.1.0
Release:	%mkrel 1
Summary:	Message digest functions from BSD systems
License:	BSD-2-Clause OR BSD-3-Clause OR ISC OR SUSE-Public-Domain
Group:		System/Libraries
Url:		https://www.hadrons.org/software/libmd/
Source0:	https://libbsd.freedesktop.org/releases/%{name}-%{version}.tar.xz

%description
The libmd library provides a few message digest ("hash") functions, as
found on various BSD systems, either on their libc or on a library with
the same name, and with a compatible API.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Provides message digest functions from BSD systems
Group:		System/Libraries

%description -n %{libname}
The libmd library provides a few message digest ("hash") functions, as
found on various BSD systems, either on their libc or on a library with
the same name, and with a compatible API.

Digests supported: MD2/4/5, RIPEMD160, SHA1, SHA2-256/384/512.

%files -n %{libname}
%{_libdir}/lib%{rname}.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the %{name} library.

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{rname}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%configure2_5x \
    --disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Mon Aug 28 2023 tex - 1.1.0-1pclos2024
- new version: 1.1.0
